//
//  XMPPIqIdGenerator.h
//  XMPPStream
//
//  Created by Christian Weykopf on 10.09.09.
//  Copyright 2009 STARFACE GmbH. All rights reserved.
//

/*!
    @header XMPPIqIdGenerator
    @abstract   Returns a unique id as NSString
    @discussion Implemented aas singleton
*/

#import <Foundation/Foundation.h>


@interface XMPPIqIdGenerator : NSObject
{
	NSString	*idString;
	NSUInteger	 idCounter;
}

@property (retain) NSString *idString;
@property (assign) NSUInteger idCounter;

+ (XMPPIqIdGenerator *)sharedGeneratpor;

- (NSString *) nextId;

@end
